clang 10.0.0git

Public Member Functions | List of all members
clang::ConstStmtIterator Struct Reference

`#include "clang/AST/StmtIterator.h"`

Inheritance diagram for clang::ConstStmtIterator:
[legend]
Collaboration diagram for clang::ConstStmtIterator:
[legend]

## Public Member Functions
| ConstStmtIterator ()=default
| ConstStmtIterator (const StmtIterator &RHS)
| ConstStmtIterator (Stmt *const *S)
Public Member Functions inherited from clang::StmtIteratorImpl< ConstStmtIterator, const Stmt *>
| StmtIteratorImpl ()=default
| StmtIteratorImpl (Stmt **s)
| StmtIteratorImpl (Decl **dgi, Decl **dge)
| StmtIteratorImpl (const VariableArrayType *t)
ConstStmtIterator & | operator++ ()
ConstStmtIterator | operator++ (int)
bool | operator== (const ConstStmtIterator &RHS) const
bool | operator!= (const ConstStmtIterator &RHS) const
const Stmt * | operator* () const
const Stmt * | operator-> () const

## Additional Inherited Members
Protected Types inherited from clang::StmtIteratorBase
enum | { StmtMode = 0x0, SizeOfTypeVAMode = 0x1, DeclGroupMode = 0x2, Flags = 0x3 }
Protected Member Functions inherited from clang::StmtIteratorImpl< ConstStmtIterator, const Stmt *>
| StmtIteratorImpl (const StmtIteratorBase &RHS)
Protected Member Functions inherited from clang::StmtIteratorBase
| StmtIteratorBase (Stmt **s)
| StmtIteratorBase (const VariableArrayType *t)
| StmtIteratorBase (Decl **dgi, Decl **dge)
| StmtIteratorBase ()
bool | inDeclGroup () const
bool | inSizeOfTypeVA () const
bool | inStmt () const
const VariableArrayType * | getVAPtr () const
void | setVAPtr (const VariableArrayType *P)
void | NextDecl (bool ImmediateAdvance=true)
bool | HandleDecl (Decl *D)
void | NextVA ()
Stmt *& | GetDeclExpr () const
Protected Attributes inherited from clang::StmtIteratorBase
union {
Stmt ** stmt
Decl ** DGI
}; |
uintptr_t | RawVAPtr = 0
Decl ** | DGE

## Detailed Description

Definition at line 140 of file StmtIterator.h.

## Constructor & Destructor Documentation

## ◆ ConstStmtIterator() [1/3]

clang::ConstStmtIterator::ConstStmtIterator | ( |  | ) |
| explicit default

## ◆ ConstStmtIterator() [2/3]

clang::ConstStmtIterator::ConstStmtIterator | ( | const StmtIterator & | RHS | ) |
| inline

Definition at line 143 of file StmtIterator.h.

## ◆ ConstStmtIterator() [3/3]

clang::ConstStmtIterator::ConstStmtIterator | ( | Stmt *const * | S | ) |
| inline

Definition at line 146 of file StmtIterator.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/StmtIterator.h